BBACKUPD(8)

NAME
bbackupd - Box Backup client daemon

SYNOPSIS

bbackupd [-DFkqvVT] [-c config-file] [-t tag]

DESCRIPTION

bbackupd runs on client computers in the background, finding new files to back up. When it is time for a backup, bbackupd will connect to the server (bbstored) to upload the files.

A running bbackupd daemon can be controlled with the bbackupctl command, to make it shut down, reload its configuration, or start an immediate backup.

bbackupd needs to be configured to tell it which files to back up, how often, and to which server (running bbstored). See the Client Configuration page for more information. For this, you must write a configuration file. You must either place it in the default location, or tell bbackupd where to find it.

You can check the default location with the -h option. The default on Unix systems is usually /etc/box/bbackupd.conf. On Windows systems, it is bbackupd.conf in the same directory where bbackupd.exe is located. If bbackupd cannot find or read the configuration file, it will log an error message and exit.

bbackupd usually writes log messages to the system logs, using the facility local5, which you can use to filter them to send them to a separate file. It can also write them to the console, see options below. If bbackupd is not doing what you expect, please check the logs first of all.

  Options

-c config-file
    Use the specified configuration file. If -c is omitted, the last argument is the configuration file. If none is specified, the default is used (see above).

-D
    Debugging mode. Do not fork into the background (do not run as a daemon). Not available on Windows.

-F
    No-fork mode. Same as -D for bbackupd. Not available on Windows.

-k
    Keep console open after fork, keep writing log messages to it. Not available on Windows.

-q
    Run more quietly. Reduce verbosity level by one. Available levels are NOTHING, FATAL, ERROR, WARNING, NOTICE, INFO, TRACE, EVERYTHING. Default level is NOTICE in non-debugging builds. Use once to drop to WARNING level, twice for ERROR level, four times for no logging at all.

-v
    Run more verbosely. Increase verbosity level by one. Use once to raise to INFO level, twice for TRACE level, three times for EVERYTHING (currently the same as TRACE).

-V
    Run at maximum verbosity (EVERYTHING level).

-t tag
    Tag each console message with specified marker. Mainly useful in testing when running multiple daemons on the same console.

-T
    Timestamp each line of console output.

FILES

/etc/box/bbackupd.conf

SEE ALSO

bbackupd.conf(5), bbackupd-config(8), bbackupctl(8)

AUTHORS

Ben Summers

Per Thomsen

James O'Gorman